Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159053 - Low availability of ntp deamon for relaying.
Summary: Low availability of ntp deamon for relaying.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-28 09:04 UTC by Christiaan Simons
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-27 11:58:06 UTC


Attachments (Terms of Use)

Description Christiaan Simons 2005-05-28 09:04:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
If the ntpd is used as NTP relay, and the (external) network is down, the deamon is not started. The /etc/rc.d/init.d script calls exit for this case.

Also the daemon may be started without ntp.conf in some cases, so the exit for this case is also very crude.

Version-Release number of selected component (if applicable):
ntp-4.2.0.a.20040617-4

How reproducible:
Always

Steps to Reproduce:
1. Setup your system as ntp relay.
2. Restart your ntpd service without network.
  

Actual Results:  There is no running ntp deamon afterwards! 

Expected Results:  The ntpd should allways be running, regardless of network status.

Additional info:

For an ntp relay it is common to use the undisciplined local clock driver as fall-back. You want to be able to bing up the daemon, even when your ISP is down,
you allways need a single source of time.

Other init scripts may also suffer from assuming network availability to be required for a service to run. The ordering in which you want to bring things up should not create silly dependencies.

Comment 1 Matthew Miller 2006-07-10 23:30:16 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Miroslav Lichvar 2006-07-27 11:58:06 UTC
In the /etc/sysconfig/network file that the ntpd initscript checks isn't the
current network status, but a setting if networking should be enabled or disabled.

It is correct to exit when NETWORKING=no.


Note You need to log in before you can comment on or make changes to this bug.